SDL_SetTLS(3)

NAME
SDL_SetTLS - Set the current thread's value associated with a thread local storage ID.

HEADER FILE
Defined in SDL3/SDL_thread.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetTLS(SDL_TLSID id, const void *value, void (SDLCALL *destructor)(void*));

DESCRIPTION
The function prototype for destructor is: c void destructor(void *value) where its parameter value is what was passed as value to SDL_SetTLS ().

FUNCTION PARAMETERS

id  the thread local storage ID

value
    the value to associate with the ID for the current thread

destructor
    a function called when the thread exits, to free the value

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetTLS(3)